#include "StdAfx.h"
#include "registry.h"

CRegistry::CRegistry(HKEY hRoot, LPCTSTR lpszSubKey)
{
	m_hKey = NULL;
	TCHAR	ClassStr[1024];
	DWORD	d = REG_CREATED_NEW_KEY;

	if (ERROR_SUCCESS != ::RegCreateKeyEx(hRoot, lpszSubKey, 0, ClassStr, REG_OPTION_NON_VOLATILE, KEY_READ|KEY_WRITE, NULL, &m_hKey, &d))	
		m_hKey = NULL;
}

CRegistry::~CRegistry(void)
{
	if (m_hKey != NULL)
	{
		::RegCloseKey(m_hKey);
	}
}

BOOL CRegistry::SetValue(LPCTSTR lpszName, DWORD dwType, const BYTE* lpData, DWORD dwSize)
{
	ATLASSERT(m_hKey != NULL);

	LONG lResult = ::RegSetValueEx(m_hKey, lpszName, 0, dwType, lpData, dwSize);
	if (lResult != ERROR_SUCCESS) 
		return FALSE;

	return TRUE;
}